package Authen::WEIS;

use 5.006;
use strict;
use warnings;

use vars qw($VERSION);


$VERSION = '0.01';


1;
__END__

=head1 NAME

Authen::WEIS - Perl implementation of the WEIS protocol

=head1 DESCRIPTION

WEIS (Web Identity Syndication) protocol is a HTTP-redirect-based password syndication protocol defined by Cybozu Labs, Inc.

WEIS consists of two types of players, Provider and Consumer.

A WEIS Provider (L<Authen::WEIS::Provider>) is a web service that provides access to its resources to other entities.  A WEIS Consumer (L<Authen::WEIS::Consumer>) is a web service that accesses the resources provided by the WEIS Providers.

WEIS Providers syndicates access credentials (username/password) to its resources through the WEIS protocol.  WEIS consumers access the resources by using the syndicated credentials.

=head1 SEE ALSO

L<Authen::WEIS::Provider> L<Authen::WEIS::Consumer>

=head1 AUTHOR

Kazuho Oku E<lt>kazuhooku ___at___ gmail.comE<gt>

Copyright (C) 2006  Cybozu Labs, Inc.

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.8.7 or, at your option, any later version of Perl 5 you may have available.

=cut
